rm -rf dist
mkdir -p dist/server
mkdir -p dist/www/
echo "Compiling SCSS......."
scss client/scss/main.scss dist/www/style.css
rm -rf .sass-cache
echo "Moving Static Webpage object to www......"
cp -r client/www/* dist/www
echo "Rolling up ES6 Modules into bundle......"
npx rollup -c
echo "Compiling TypeScript"
npx tsc
echo "Starting server......."
echo "$(tput setaf 3)~-+/\________________/==o=O=o==\________________/\+-~$(tput setaf 8)"
node dist/server/main.js
